
Infrastructure - Story #909

Reimplement cn/resolve using nodelist for testing

2010-10-06 06:09 - Matthew Jones

Status: Closed Start date: 2010-10-07

Priority: Immediate Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2010.43   

Story Points:    

Description

rewrite the logic for resolve to use the nodelist to look up baseURLs and construct full url's.  Target for this story is a minimal

reimplementation.  Refinements in other stories.

Subtasks:

Task # 1032: upgrade integration tests (in d1_libclient_java) to adequately test resolve Closed

Task # 1003: deploy new resolve for integration and client testing Closed

Task # 979: Update d1-java client to match schema changes Closed

Task # 836: Fix error message returned by CN when attempting to resolve invalid ID Closed

Task # 774: implement Node Registry lookup for resolve function Closed

  Task # 992: read and parse the nodelist Closed

  Task # 993: parse sysMD and create OLL Closed

  Task # 994: complete error handling and tests for Closed

Related issues:

Blocks Infrastructure - Task #973: Modify the python client library to suppor... Closed

Blocks Infrastructure - Task #871: Create tests for SimpleDataONEClient Closed 2010-10-07

History

#1 - 2010-10-06 06:10 - Matthew Jones

- Target version set to CCI-0.6

- Position set to 6

- Position deleted (1)

#2 - 2010-10-06 18:02 - Rob Nahf

- Milestone set to CCI-0.6

- Target version deleted (CCI-0.6)

#3 - 2010-10-06 20:07 - Rob Nahf

Noticed that the svn version with the fix was not on the release tag, so the error reappeared when the CN was rebuilt.  Added the patched version to

the tag.

#4 - 2010-10-06 20:21 - Rob Nahf

this story concerned with version 0.4 implementation.  See task/story 774 for reimplementation related issues.

#5 - 2010-10-07 16:56 - Dave Vieglais

- Position set to 1

- Target version set to Sprint-2010.40

- Position deleted (16)

#6 - 2010-10-07 18:11 - Rob Nahf
- Status changed from New to In Progress

- Subject changed from Complete resolve() implementation to Complete resolve() reimplementation

#7 - 2010-10-07 18:31 - Rob Nahf

- Subject changed from Complete resolve() reimplementation to Complete resolve() CN reimplementation 

#8 - 2010-10-07 18:38 - Rob Nahf

- Target version changed from Sprint-2010.40 to Sprint-2010.41

- Position deleted (5)

- Position set to 8

#9 - 2010-10-07 18:38 - Rob Nahf

- Position set to 1

- Position deleted (8)

#10 - 2010-10-07 19:22 - Rob Nahf

- Position set to 5

- Target version changed from Sprint-2010.41 to Sprint-2010.40

- Position deleted (2)

#11 - 2010-10-11 16:25 - Matthew Jones

- Position deleted (8)

- Position set to 2

- Target version changed from Sprint-2010.40 to Sprint-2010.41

#12 - 2010-10-21 17:01 - Rob Nahf

- Target version changed from Sprint-2010.41 to Sprint-2010.42

- Position set to 17

- Position deleted (2)

#13 - 2010-10-24 15:38 - Dave Vieglais

- Target version changed from Sprint-2010.42 to Sprint-2010.43

- Position set to 2

- Position deleted (26)

#14 - 2010-10-25 22:17 - Rob Nahf

- Assignee set to Rob Nahf

#15 - 2010-10-26 16:06 - Rob Nahf

- Subject changed from Complete resolve() CN reimplementation  to Reimplement cn/resolve using nodelist for testing

Rewrote subject line of the task and added description to make this one less epic-like.  Will create new stories for subsequent stages of development

as needed.

#16 - 2010-10-29 16:52 - Dave Vieglais

- Position set to 2

- Position deleted (3)

- Target version changed from Sprint-2010.43 to Sprint-2010.44
#17 - 2010-10-29 19:45 - Rob Nahf

- Category set to d1_cn_service

- Status changed from In Progress to Closed

- Target version changed from Sprint-2010.44 to Sprint-2010.43

resolve deployed and tested on cn-dev.
